.slot__wrapper {
    position: relative;
    transform-origin: center center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
}

.slot {
    position: relative;
    z-index: 1;
    aspect-ratio: 908 / 606;
    background: url('../img/slots/slot_frame.webp') no-repeat center center;
    background-size: contain;
    max-width: 908px;
}

.slot__content {
    position: absolute;
    inset: 0;
    left: 50%;
    top: 13%;
    transform: translateX(-50%);
    z-index: 1;
    width: 74%;
    height: 73.5%;
    overflow: hidden;
}

.slot__line {
    aspect-ratio: 98 / 413;
    position: absolute;
    z-index: 3;
    width: 15%;
    top: 2%;
}

.slot__line-1 {
    left: 3%;
}

.slot__line-2 {
    left: 23%;
}

.slot__line-3 {
    left: 43%;
}

.slot__line-4 {
    left: 63%;
}

.slot__line-5 {
    left: 83%;
}

.active .slot__line-1-1,
.active .slot__line-1-2,
.active .slot__line-1-3,
.active .slot__line-1-4,
.active .slot__line-1-5 {
    -webkit-animation: 1s forwards ease firstLine;
    animation: 1s forwards ease firstLine;
}

.active .slot__line-1-1 {
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s;
}

.active .slot__line-1-2 {
    -webkit-animation-delay: 0.3s;
    animation-delay: 0.3s;
}

.active .slot__line-1-3 {
    -webkit-animation-delay: 0.4s;
    animation-delay: 0.4s;
}

.active .slot__line-1-4 {
    -webkit-animation-delay: 0.5s;
    animation-delay: 0.5s;
}

.active .slot__line-1-5 {
    -webkit-animation-delay: 0.6s;
    animation-delay: 0.6s;
}

.slot__line-1-1 {
    background: url('../img/slots/slot_line_1_1.webp') no-repeat center center;
    background-size: cover;
}

.slot__line-1-2 {
    background: url('../img/slots/slot_line_1_2.webp') no-repeat center center;
    background-size: cover;
}

.slot__line-1-3 {
    background: url('../img/slots/slot_line_1_3.webp') no-repeat center center;
    background-size: cover;
}

.slot__line-1-4 {
    background: url('../img/slots/slot_line_1_4.webp') no-repeat center center;
    background-size: cover;
}

.slot__line-1-5 {
    background: url('../img/slots/slot_line_1_5.webp') no-repeat center center;
    background-size: cover;
}

.active .slot__line-2-1,
.active .slot__line-2-2,
.active .slot__line-2-3,
.active .slot__line-2-4,
.active .slot__line-2-5 {
    -webkit-animation: 1.5s forwards ease secondLine;
    animation: 1.5s forwards ease secondLine;
}

.active .slot__line-2-1 {
    -webkit-animation-delay: .7s;
    animation-delay: .7s;
}

.active .slot__line-2-2 {
    -webkit-animation-delay: 0.8s;
    animation-delay: 0.8s;
}

.active .slot__line-2-3 {
    -webkit-animation-delay: 0.9s;
    animation-delay: 0.9s;
}

.active .slot__line-2-4 {
    -webkit-animation-delay: 1.0s;
    animation-delay: 1.0s;
}

.active .slot__line-2-5 {
    -webkit-animation-delay: 1.1s;
    animation-delay: 1.1s;
}

.slot__line-2-1,
.slot__line-2-2,
.slot__line-2-3,
.slot__line-2-4,
.slot__line-2-5 {
    -webkit-transform: translateY(-120%);
    transform: translateY(-120%);
}

.slot__line-2-1 {
    background: url('../img/slots/slot_line_2_1.webp') no-repeat center center;
    background-size: cover;
}

.slot__line-2-2 {
    background: url('../img/slots/slot_line_2_2.webp') no-repeat center center;
    background-size: cover;
}

.slot__line-2-3 {
    background: url('../img/slots/slot_line_2_3.webp') no-repeat center center;
    background-size: cover;
}

.slot__line-2-4 {
    background: url('../img/slots/slot_line_2_4.webp') no-repeat center center;
    background-size: cover;
}

.slot__line-2-5 {
    background: url('../img/slots/slot_line_2_5.webp') no-repeat center center;
    background-size: cover;
}

.slot__line-3-1,
.slot__line-3-2,
.slot__line-3-3,
.slot__line-3-4,
.slot__line-3-5 {
    background: url('../img/slots/green_line.webp') no-repeat center center;
    background-size: cover;
    -webkit-transform: translateY(-120%);
    transform: translateY(-120%);
}


.active .slot__line-3-1,
.active .slot__line-3-2,
.active .slot__line-3-3,
.active .slot__line-3-4,
.active .slot__line-3-5 {
    -webkit-animation: 1s forwards ease thirdLine;
    animation: 1s forwards ease thirdLine;
}

.active .slot__line-3-1 {
    -webkit-animation-delay: 1.9s;
    animation-delay: 1.9s;
}

.active .slot__line-3-2 {
    -webkit-animation-delay: 2.0s;
    animation-delay: 2.0s;
}

.active .slot__line-3-3 {
    -webkit-animation-delay: 2.1s;
    animation-delay: 2.1s;
}

.active .slot__line-3-4 {
    -webkit-animation-delay: 2.2s;
    animation-delay: 2.2s;
}

.active .slot__line-3-5 {
    -webkit-animation-delay: 2.3s;
    animation-delay: 2.3s;
}

.slot__line-4-1,
.slot__line-4-2,
.slot__line-4-3,
.slot__line-4-4,
.slot__line-4-5 {
    opacity: 0;
    z-index: 2;
    background: url('../img/slots/violet_line.webp') no-repeat center center;
    background-size: cover;
}

.active .slot__line-4-1,
.active .slot__line-4-2,
.active .slot__line-4-3,
.active .slot__line-4-4,
.active .slot__line-4-5 {
    -webkit-animation: 1s 3.5s forwards ease blink;
    animation: 1s 3.5s forwards ease blink;
}

@-webkit-keyframes firstLine {
    0% {
        opacity: 1;
        -webkit-transform: translateY(0%);
        transform: translateY(0%);
    }
    100% {
        opacity: 1;
        -webkit-transform: translateY(120%);
        transform: translateY(120%);
    }
}

@keyframes firstLine {
    0% {
        opacity: 1;
        -webkit-transform: translateY(0%);
        transform: translateY(0%);
    }
    100% {
        opacity: 1;
        -webkit-transform: translateY(120%);
        transform: translateY(120%);
    }
}

@-webkit-keyframes secondLine {
    0% {
        opacity: 1;
        -webkit-transform: translateY(-120%);
        transform: translateY(-120%);
    }
    20% {
        opacity: 1;
        -webkit-transform: translateY(0%);
        transform: translateY(0%);
    }
    80% {
        opacity: 1;
        -webkit-transform: translateY(0%);
        transform: translateY(0%);
    }
    100% {
        opacity: 1;
        -webkit-transform: translateY(120%);
        transform: translateY(120%);
    }
}

@keyframes secondLine {
    0% {
        opacity: 1;
        transform: translateY(-120%);
    }
    20% {
        opacity: 1;
        transform: translateY(0%);
    }
    80% {
        opacity: 1;
        transform: translateY(0%);
    }
    100% {
        opacity: 1;
        transform: translateY(120%);
    }
}

@-webkit-keyframes thirdLine {
    0% {
        opacity: 1;
        -webkit-transform: translateY(-120%);
        transform: translateY(-120%);
    }
    100% {
        opacity: 1;
        -webkit-transform: translateY(0%);
        transform: translateY(0%);
    }
}

@keyframes thirdLine {
    0% {
        opacity: 1;
        -webkit-transform: translateY(-120%);
        transform: translateY(-120%);
    }
    100% {
        opacity: 1;
        -webkit-transform: translateY(0%);
        transform: translateY(0%);
    }
}

@-webkit-keyframes blink {
    0% {
        opacity: 0;
    }
    10% {
        opacity: 1;
    }
    30% {
        opacity: 1;
    }
    40% {
        opacity: 0.8;
    }
    50% {
        opacity: 1;
    }
    70% {
        opacity: 1;
    }
    80% {
        opacity: 0.8;
    }
    100% {
        opacity: 1;
    }
}

@keyframes blink {
    0% {
        opacity: 0;
    }
    10% {
        opacity: 1;
    }
    30% {
        opacity: 1;
    }
    40% {
        opacity: 0.8;
    }
    50% {
        opacity: 1;
    }
    70% {
        opacity: 1;
    }
    80% {
        opacity: 0.8;
    }
    100% {
        opacity: 1;
    }
}
